Remove requested supply
curl --request POST \
--url https://api.interchange.io/api/v2/supply-requests/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"channel": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/supply-requests/remove"
payload = {
"domain": "<string>",
"channel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', channel: '<string>'})
};
fetch('https://api.interchange.io/api/v2/supply-requests/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"removed": true,
"request": {
"domain": "<string>",
"channel": "<string>",
"removable": true,
"market": "<string>",
"desiredSupply": "<string>",
"publicStatus": {
"label": "<string>",
"description": "<string>",
"asOf": "<string>"
},
"customerNeed": {
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Supply Requests
Remove requested supply
Remove a specific seller/operator/publisher domain and channel from the authenticated customer’s requested supply. The operation is customer-scoped and idempotent; if no active matching request exists, the response returns removed=false.
POST
/
supply-requests
/
remove
Remove requested supply
curl --request POST \
--url https://api.interchange.io/api/v2/supply-requests/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"channel": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/supply-requests/remove"
payload = {
"domain": "<string>",
"channel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', channel: '<string>'})
};
fetch('https://api.interchange.io/api/v2/supply-requests/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"removed": true,
"request": {
"domain": "<string>",
"channel": "<string>",
"removable": true,
"market": "<string>",
"desiredSupply": "<string>",
"publicStatus": {
"label": "<string>",
"description": "<string>",
"asOf": "<string>"
},
"customerNeed": {
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}⌘I